Re: [Octave-bug-tracker] [bug #59935] [doctest] Build failure with octave 6.1.0

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [Octave-bug-tracker] [bug #59935] [doctest] Build failure with octave 6.1.0

Dmitri A. Sergatskov


On Sat, Jan 23, 2021 at 10:28 PM Orion Poplawski <[hidden email]> wrote:
Please use the bug tracker to post updates to a bug report.  The mailing list is intended as a read-only notification stream.  Info posted to this mailing list address won't appear in the tracker database where it is most useful.

URL:
  <https://savannah.gnu.org/bugs/?59935>

                 Summary: [doctest] Build failure with octave 6.1.0
                 Project: GNU Octave
            Submitted by: opoplawski
            Submitted on: Sun 24 Jan 2021 03:28:27 AM UTC
                Category: Octave Forge Package
                Severity: 3 - Normal
                Priority: 5 - Normal
              Item Group: Build Failure
                  Status: None
             Assigned to: None
         Originator Name:
        Originator Email:
             Open/Closed: Open
                 Release: 6.1.0
         Discussion Lock: Any
        Operating System: GNU/Linux

    _______________________________________________________

Details:

I'm getting a build test failure building doctest for Fedora with octave
6.1.0:

+ octave -H -q --no-window-system --no-site-file --path
/builddir/build/BUILD/doctest-0.7.0/inst --path
/builddir/build/BUILD/doctest-0.7.0/src --eval
'r=doctest({"doctest","test/","test/examples/"}); exit(~r);'
Doctest v0.7.0: this is Free Software without warranty, see source.
error: regexprep: nothing to repeat at position 9 of expression
error: called from
    doctest_collect>parse_texinfo at line 480 column 9
    doctest_collect>extract_docstring at line 336 column 26
    doctest_collect>collect_targets_function at line 250 column 36
    doctest_collect at line 142 column 10
    doctest at line 349 column 11





    _______________________________________________________

Reply to this item at:

  <https://savannah.gnu.org/bugs/?59935>

_______________________________________________
  Message sent via Savannah
  https://savannah.gnu.org/



For some reason i cannot reply at
<https://savannah.gnu.org/bugs/?59935>

I can install doctest on local Fedora with octave 6.1.1 (3926dcfde203 (stable)):

octave:1> pkg install -forge -verbose doctest
mkdir (/tmp/oct-mXvt3Q)
untar (/tmp/doctest-0.7.0-90IMx7.tar.gz, /tmp/oct-mXvt3Q)
For information about changes from previous versions of the doctest package, run 'news doctest'.
octave:2> pkg list
Package Name        | Version | Installation directory
--------------------+---------+-----------------------
           control  |   3.2.0 | /home/dima/octave/control-3.2.0
           doctest  |   0.7.0 | /home/dima/octave/doctest-0.7.0
instrument-control  |   0.6.0 | /home/dima/octave/instrument-control-0.6.0
            signal  |   1.4.1 | /home/dima/octave/signal-1.4.1
octave:3>

Dmitri.
--


Reply | Threaded
Open this post in threaded view
|

Re: [Octave-bug-tracker] [bug #59935] [doctest] Build failure with octave 6.1.0

Orion Poplawski-2
On 1/23/21 10:58 PM, Dmitri A. Sergatskov wrote:

>
>
> On Sat, Jan 23, 2021 at 10:28 PM Orion Poplawski
> <[hidden email] <mailto:[hidden email]>> wrote:
>
>     Please use the bug tracker to post updates to a bug report.  The
>     mailing list is intended as a read-only notification stream.  Info
>     posted to this mailing list address won't appear in the tracker
>     database where it is most useful.
>
>     URL:
>        <https://savannah.gnu.org/bugs/?59935
>     <https://savannah.gnu.org/bugs/?59935>>
>
>                       Summary: [doctest] Build failure with octave 6.1.0
>                       Project: GNU Octave
>                  Submitted by: opoplawski
>                  Submitted on: Sun 24 Jan 2021 03:28:27 AM UTC
>                      Category: Octave Forge Package
>                      Severity: 3 - Normal
>                      Priority: 5 - Normal
>                    Item Group: Build Failure
>                        Status: None
>                   Assigned to: None
>               Originator Name:
>              Originator Email:
>                   Open/Closed: Open
>                       Release: 6.1.0
>               Discussion Lock: Any
>              Operating System: GNU/Linux
>
>          _______________________________________________________
>
>     Details:
>
>     I'm getting a build test failure building doctest for Fedora with octave
>     6.1.0:
>
>     + octave -H -q --no-window-system --no-site-file --path
>     /builddir/build/BUILD/doctest-0.7.0/inst --path
>     /builddir/build/BUILD/doctest-0.7.0/src --eval
>     'r=doctest({"doctest","test/","test/examples/"}); exit(~r);'
>     Doctest v0.7.0: this is Free Software without warranty, see source.
>     error: regexprep: nothing to repeat at position 9 of expression
>     error: called from
>          doctest_collect>parse_texinfo at line 480 column 9
>          doctest_collect>extract_docstring at line 336 column 26
>          doctest_collect>collect_targets_function at line 250 column 36
>          doctest_collect at line 142 column 10
>          doctest at line 349 column 11
>
>
>
>
>
>          _______________________________________________________
>
>     Reply to this item at:
>
>        <https://savannah.gnu.org/bugs/?59935
>     <https://savannah.gnu.org/bugs/?59935>>
>
>     _______________________________________________
>        Message sent via Savannah
>     https://savannah.gnu.org/ <https://savannah.gnu.org/>
>
>
>
> For some reason i cannot reply at
> <https://savannah.gnu.org/bugs/?59935 
> <https://savannah.gnu.org/bugs/?59935>>
>
> I can install doctest on local Fedora with octave 6.1.1 (3926dcfde203
> (stable)):
>
> octave:1> pkg install -forge -verbose doctest
> mkdir (/tmp/oct-mXvt3Q)
> untar (/tmp/doctest-0.7.0-90IMx7.tar.gz, /tmp/oct-mXvt3Q)
> For information about changes from previous versions of the doctest
> package, run 'news doctest'.
> octave:2> pkg list
> Package Name        | Version | Installation directory
> --------------------+---------+-----------------------
>             control  |   3.2.0 | /home/dima/octave/control-3.2.0
>             doctest  |   0.7.0 | /home/dima/octave/doctest-0.7.0
> instrument-control  |   0.6.0 | /home/dima/octave/instrument-control-0.6.0
>              signal  |   1.4.1 | /home/dima/octave/signal-1.4.1
> octave:3>
>
> Dmitri.
> --
>
>
My apologies, this error came from some extra code in the Fedora package
not in the doctest package itself.

However, I also get a permission denied error trying to update the bug
(despite being the person who filed it).

Orion

--
Orion Poplawski
Manager of NWRA Technical Systems          720-772-5637
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       [hidden email]
Boulder, CO 80301                 https://www.nwra.com/


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [Octave-bug-tracker] [bug #59935] [doctest] Build failure with octave 6.1.0

Dmitri A. Sergatskov
I open ticket with savannah


seful.
>
>     URL:
>        <https://savannah.gnu.org/bugs/?59935
>     <https://savannah.gnu.org/bugs/?59935>>
>
>                       Summary: [doctest] Build failure with octave 6.1.0
>                       Project: GNU Octave
>                  Submitted by: opoplawski
>                  Submitted on: Sun 24 Jan 2021 03:28:27 AM UTC
>                      Category: Octave Forge Package
>                      Severity: 3 - Normal
>                      Priority: 5 - Normal
>                    Item Group: Build Failure
>                        Status: None
>                   Assigned to: None
>               Originator Name:
>              Originator Email:
>                   Open/Closed: Open
>                       Release: 6.1.0
>               Discussion Lock: Any
>              Operating System: GNU/Linux
>
>          _______________________________________________________
>
>     Details:
>
>     I'm getting a build test failure building doctest for Fedora with octave
>     6.1.0:
>
>     + octave -H -q --no-window-system --no-site-file --path
>     /builddir/build/BUILD/doctest-0.7.0/inst --path
>     /builddir/build/BUILD/doctest-0.7.0/src --eval
>     'r=doctest({"doctest","test/","test/examples/"}); exit(~r);'
>     Doctest v0.7.0: this is Free Software without warranty, see source.
>     error: regexprep: nothing to repeat at position 9 of expression
>     error: called from
>          doctest_collect>parse_texinfo at line 480 column 9
>          doctest_collect>extract_docstring at line 336 column 26
>          doctest_collect>collect_targets_function at line 250 column 36
>          doctest_collect at line 142 column 10
>          doctest at line 349 column 11
>
>
>
>
>
>          _______________________________________________________
>
>     Reply to this item at:
>
>        <https://savannah.gnu.org/bugs/?59935
>     <https://savannah.gnu.org/bugs/?59935>>
>
>     _______________________________________________
>        Message sent via Savannah
>     https://savannah.gnu.org/ <https://savannah.gnu.org/>
>
>
>
> For some reason i cannot reply at
> <https://savannah.gnu.org/bugs/?59935
> <https://savannah.gnu.org/bugs/?59935>>
>
> I can install doctest on local Fedora with octave 6.1.1 (3926dcfde203
> (stable)):
>
> octave:1> pkg install -forge -verbose doctest
> mkdir (/tmp/oct-mXvt3Q)
> untar (/tmp/doctest-0.7.0-90IMx7.tar.gz, /tmp/oct-mXvt3Q)
> For information about changes from previous versions of the doctest
> package, run 'news doctest'.
> octave:2> pkg list
> Package Name        | Version | Installation directory
> --------------------+---------+-----------------------
>             control  |   3.2.0 | /home/dima/octave/control-3.2.0
>             doctest  |   0.7.0 | /home/dima/octave/doctest-0.7.0
> instrument-control  |   0.6.0 | /home/dima/octave/instrument-control-0.6.0
>              signal  |   1.4.1 | /home/dima/octave/signal-1.4.1
> octave:3>
>
> Dmitri.
> --
>
>

My apologies, this error came from some extra code in the Fedora package
not in the doctest package itself.

However, I also get a permission denied error trying to update the bug
(despite being the person who filed it).

Orion

--
Orion Poplawski
Manager of NWRA Technical Systems          720-772-5637
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       [hidden email]
Boulder, CO 80301                 https://www.nwra.com/